declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE BPE_CTRL_DISPONIBILIDADE (
		BPECTRLDISP_ID NUMBER(8),
        CVEESTADO VARCHAR(3),
		EMPRESA_ID NUMBER(7),
		SERIE VARCHAR(3),
		NUMERO VARCHAR(9),
		BPE_REJEITADO_ID NUMBER(7,0),
        ACTIVO NUMBER(1) NULL,
        FECMODIF DATE NULL,
        USUARIO_ID NUMBER(7) NULL,
		PRIMARY KEY (BPECTRLDISP_ID)
	)';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE BPE_CTRL_DISPONIBILIDADE_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;