declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE SECRETARIA_PARADA (
       SECRETARIAPARADA_ID  INTEGER NOT NULL,
       SECRETARIA_ID        NUMBER(7) NULL,
       ORIGEN_ID            NUMBER(7) NULL,
       DESTINO_ID           NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (SECRETARIAPARADA_ID), 
       FOREIGN KEY (SECRETARIA_ID) REFERENCES SECRETARIA, 
       FOREIGN KEY (DESTINO_ID) REFERENCES PARADA, 
       FOREIGN KEY (ORIGEN_ID) REFERENCES PARADA
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE SECRETARIAPARADA_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;