declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE RECARGA_CELULAR (
   	RECARGACELULAR_ID   NUMBER(15) NOT NULL,
   	EVENTOEXTRA_ID      NUMBER(10) NOT NULL,
	UUID				VARCHAR2(50) NULL,
	RVHUB_ID			VARCHAR2(50) NOT NULL,
   	PRODUCT_ID          NUMBER(15) NULL,
   	AREA_CODE         	NUMBER(3) NULL,
   	CELL_PHONE_NUMBER   VARCHAR2(20) NOT NULL,
	STATUS				VARCHAR2(20) NOT NULL,
	CREATED_AT          DATE NULL,
	UPDATED_AT          DATE NULL,
	NSU					VARCHAR2(20) NOT NULL,
	AUTHORIZATION_CODE	VARCHAR2(20) NOT NULL,
	FACE_AMOUNT			NUMBER(7,2) NOT NULL,
	DUE_DATE          	DATE NULL,
	MESSAGE				VARCHAR2(500) NULL,
	AUTHORIZED_AT       DATE NULL,
	STATUSES			VARCHAR2(500) NULL,
   	ACTIVO              NUMBER(1) NULL,
   	FECMODIF            DATE NULL,
   	USUARIO_ID          NUMBER(7) NULL,
   PRIMARY KEY (RECARGACELULAR_ID), 
   FOREIGN KEY (EVENTOEXTRA_ID) REFERENCES EVENTO_EXTRA
)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE RECARGA_CELULAR_SEQ MINVALUE 1 MAXVALUE 999999999999999 INCREMENT BY 1 START WITH 1';
  exception when object_exists then null;
end;