declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE CONVENIO_CORRIDA 
(
  CONVENIOCORRIDA_ID NUMBER(7, 0) NOT NULL 
, CONVENIO_ID NUMBER(7, 0) 
, CORRIDA_ID NUMBER(7, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
) ';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  CONVENIO_CORRIDA_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE UNIQUE INDEX PK_CONVENIO_CORRIDA_ID ON CONVENIO_CORRIDA (CONVENIOCORRIDA_ID ASC)';
 exception when object_exists then null;
end;
/

declare
  object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CORRIDA
ADD CONSTRAINT PK_CONVENIO_CORRIDA_ID PRIMARY KEY 
(
  CONVENIOCORRIDA_ID 
)
USING INDEX PK_CONVENIO_CORRIDA_ID
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/

declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CORRIDA
ADD CONSTRAINT FK_CONVENIO_CORRIDA_CTRL_ID FOREIGN KEY
(
  CORRIDA_ID 
)
REFERENCES CORRIDA_CTRL
(
  CORRIDA_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/

declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CORRIDA
ADD CONSTRAINT FK_CONVENIO_CORRIDA_ID FOREIGN KEY
(
  CONVENIO_ID 
)
REFERENCES CONVENIO
(
  CONVENIO_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
   execute immediate 'CREATE TABLE CONVENIO_FORMAPAGO 
(
  CONVENIOFORMAPAGO_ID NUMBER(7, 0) NOT NULL 
, CONVENIO_ID NUMBER(7, 0) 
, FORMAPAGO_ID NUMBER(2, 0) 
, INDEXCEPCION NUMBER(1, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
) '; 
   exception 
       when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  CONVENIO_FORMAPAGO_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE UNIQUE INDEX PK_CONVENIO_FORMAPAGO ON CONVENIO_FORMAPAGO (CONVENIOFORMAPAGO_ID ASC) ';
 exception when object_exists then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_FORMAPAGO
ADD CONSTRAINT PK_CONVENIO_FORMAPAGO PRIMARY KEY 
(
  CONVENIOFORMAPAGO_ID 
)
USING INDEX PK_CONVENIO_FORMAPAGO
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
	
begin
   execute immediate 'ALTER TABLE CONVENIO_FORMAPAGO
ADD CONSTRAINT FK_CONVENIO_FORMAPAGO FOREIGN KEY
(
  CONVENIO_ID 
)
REFERENCES CONVENIO
(
  CONVENIO_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_FORMAPAGO
ADD CONSTRAINT FK_CONVENIO_FORMA_PAGO FOREIGN KEY
(
  FORMAPAGO_ID 
)
REFERENCES FORMA_PAGO
(
  FORMAPAGO_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE CONVENIO_CATEGORIA 
(
  CONVENIOCATEGORIA_ID NUMBER(7, 0) NOT NULL 
, CONVENIO_ID NUMBER(7, 0) 
, CATEGORIA_ID NUMBER(7, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
) ';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  CONVENIO_CATEGORIA_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE UNIQUE INDEX PK_CONVENIO_CATEGORIA ON CONVENIO_CATEGORIA (CONVENIOCATEGORIA_ID ASC) ';
 exception when object_exists then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CATEGORIA
ADD CONSTRAINT PK_CONVENIO_CATEGORIA PRIMARY KEY 
(
  CONVENIOCATEGORIA_ID 
)
USING INDEX PK_CONVENIO_CATEGORIA
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CATEGORIA
ADD CONSTRAINT FK_CONVENIO_CATEGORIA_ID FOREIGN KEY
(
  CATEGORIA_ID 
)
REFERENCES CATEGORIA
(
  CATEGORIA_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CATEGORIA
ADD CONSTRAINT FK_CONVENIO_CAT_ID FOREIGN KEY
(
  CONVENIO_ID 
)
REFERENCES CONVENIO
(
  CONVENIO_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE CONVENIO_CLASE 
(
  CONVENIOCLASE_ID NUMBER(7, 0) NOT NULL 
, CONVENIO_ID NUMBER(7, 0) 
, CLASESERVICIO_ID NUMBER(2, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
)  ';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  CONVENIO_CLASE_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE UNIQUE INDEX PK_CONVENIO_CLASSE ON CONVENIO_CLASE (CONVENIOCLASE_ID ASC) ';
 exception when object_exists then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CLASE
ADD CONSTRAINT PK_CONVENIO_CLASSE PRIMARY KEY 
(
  CONVENIOCLASE_ID 
)
USING INDEX PK_CONVENIO_CLASSE
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
	 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CLASE
ADD CONSTRAINT FK_CONVENIO_SERVICIO_ID FOREIGN KEY
(
  CLASESERVICIO_ID 
)
REFERENCES CLASE_SERVICIO
(
  CLASESERVICIO_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_CLASE
ADD CONSTRAINT FK_CONVENIO_CLASE_ID FOREIGN KEY
(
  CONVENIO_ID 
)
REFERENCES CONVENIO
(
  CONVENIO_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
    object_exists exception;
    except_00957  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
begin
   execute immediate 'ALTER TABLE CONVENIO ADD (INDREDONDO NUMBER(1) )'; 
   exception 
       when object_exists then null;
       when except_00957 then null;
end;
/
declare
    object_exists exception;
    except_00957  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
begin
   execute immediate 'ALTER TABLE CONVENIO ADD (VALORMAX NUMBER(5,2) )'; 
   exception 
       when object_exists then null;
       when except_00957 then null;
end;
/
declare
    object_exists exception;
    except_00957  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
begin
   execute immediate 'ALTER TABLE CONVENIO ADD (VALORMIN NUMBER(5,2) )'; 
   exception 
       when object_exists then null;
       when except_00957 then null;
end;
/
declare
    object_exists exception;
    except_00957  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
begin
   execute immediate 'ALTER TABLE CONVENIO ADD (TIPODESCONTO NUMBER(1) )'; 
   exception 
       when object_exists then null;
       when except_00957 then null;
end;
/