declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin	
	execute immediate 'CREATE TABLE CATEGORIA_RUTA_EXCECAO ( 
		CATEGORIARUTAEXCECAO_ID NUMBER(7) NOT NULL, 
		RUTA_ID NUMBER(7) NOT NULL, 
		CATEGORIACTRL_ID NUMBER(7) NOT NULL, 
		FECMODIF DATE, 
		ACTIVO NUMBER(1,0),
		USUARIO_ID NUMBER(7,0) , 
		PRIMARY KEY (CATEGORIARUTAEXCECAO_ID), 
		CONSTRAINT FK_CATEGORIARUTAEXCECAO_CTRL FOREIGN KEY (CATEGORIACTRL_ID) REFERENCES CATEGORIA_CTRL (CATEGORIACTRL_ID),
        CONSTRAINT FK_CATEGORIARUTAEXCECAO_RUTA FOREIGN KEY (RUTA_ID) REFERENCES RUTA (RUTA_ID))';	

	exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin	
    execute immediate 'CREATE SEQUENCE CATEGORIA_RUTA_EXCECAO_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';
	exception when object_exists then null;
end;