declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  ADYEN_SERVICE_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER CYCLE';	
  exception when object_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE ESTACION_SITEF ADD (NUMERODESERIE VARCHAR2(100) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE ESTACION_SITEF ADD (DESCRICAO VARCHAR2(100) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE MONEDA ADD (SIGLA VARCHAR2(3) )';
    exception when column_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE EMPRESA_ADYEN_CONFIG 
(
  EMPRESAADYENCONFIG_ID NUMBER(8, 0) NOT NULL 
, EMPRESA_ID NUMBER(7, 0) 
, APIKEY VARCHAR2(255) 
, INDPRODUCAO NUMBER(1, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
) ';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "EMPRESA_ADYEN_CONFIG_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER';	
  exception when object_exists then null;
end;
