declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE ESTORNO_OCD_PIX 
(
  ESTORNOOCDPIX_id NUMBER(8, 0) NOT NULL 
, NOME VARCHAR2(150) 
, TELEFONE VARCHAR2(15) 
, CPF_CNPJ  VARCHAR2(14)
, CHAVE_PIX  VARCHAR2(100)
, TIPO_CHAVE_PIX VARCHAR2(40)
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, OCD_ID NUMBER(7, 0) 
, USUARIO_ID NUMBER(7, 0)
, PRIMARY KEY (ESTORNOOCDPIX_id) ENABLE
, CONSTRAINT ESTORNOOCDPIX_USUARIO_ID_FK FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO(USUARIO_ID) ENABLE
, CONSTRAINT ESTORNOOCDPIX_OCD_ID_FK FOREIGN KEY (OCD_ID) REFERENCES OCD(OCD_ID) ENABLE 
) ';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "ESTORNO_OCD_PIX_CONFIG_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER';	
  exception when object_exists then null;
end;
/
declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE OCD ADD (VALOR_ESTORNO_PIX NUMBER(7, 2))';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
