DO $$
BEGIN
  CREATE TABLE CTRL_FECHAMENTO_CAIXA (
       CTRLFECHAMENTOCAIXA_ID NUMBER(15) NOT NULL,
       FECCORTE             DATE NULL,
       FECMODIF             DATE NULL,
       FECHAMENTO_STATUS	VARCHAR(100) NULL,
       ACTIVO               NUMBER(1) DEFAULT 0 NOT NULL,
       PRIMARY KEY (CTRLFECHAMENTOCAIXA_ID)
	);

  CREATE SEQUENCE CTRL_FECHAMENTO_CAIXA_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
  
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;