DO $$
BEGIN
  INSERT INTO flyway_scripts (NOME, SQL, OBSERVACAO, SQL_ERRO, DATAHORA_EXECUCAO, ACTIVO, FECMODIF) 
	VALUES (
	    'V20190307_1720__mantis13482',
	    'CREATE INDEX "IDX_CONSULTABOL_FECVENTA_H" ON "BOLETO" ("FECHORVENTA_H") 
	        PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
	        PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)',
	    'index do campo fechorventa_h na tabela boleto',
	    '-00001',
	    (select TO_DATE(to_char(trunc(sysdate)+1 || ' 03:00:00'), 'YYYY-MM-DD HH24:MI:SS' )  from dual) ,
	    1,
	    SYSDATE);
  EXCEPTION WHEN duplicate_column THEN NULL;
$$;