DO $$
BEGIN
  ALTER TABLE EMPRESA ADD INDRATEIOCOMISSAOGRUPOLINHA NUMBER(1, 0);
  EXCEPTION
  WHEN OTHERS THEN NULL;
  WHEN unique_violation THEN NULL;
END
$$;
/
DO $$
BEGIN
  ALTER TABLE EMPRESA ADD INDCOMISSAOGRUPOLINHAORIGINAL NUMBER(1, 0);
  EXCEPTION
  WHEN OTHERS THEN NULL;
  WHEN unique_violation THEN NULL;
END
$$;
/
DO $$
BEGIN
  CREATE TABLE CONTA_CORRENTE_PTOVTA_GR_LIN (
		  CONTACORRENTEPTOVTAGRLIN_ID NUMBER(7,0) NOT NULL,
		  CONTACORRENTEPTOVTA_ID NUMBER(7,0) NOT NULL,
		  GRUPORUTA_ID NUMBER(7,0),
		  IMPORTE NUMBER(12,2) NOT NULL,
		  ACTIVO NUMBER(1,0),
		  FECMODIF DATE,
		  USUARIO_ID NUMBER(7,0),
		  CONSTRAINT PK_CONTA_CORR_PTOVTA_GR_LIN PRIMARY KEY(CONTACORRENTEPTOVTAGRLIN_ID),
		  CONSTRAINT FK_CONTA_CORR_PTOVTA_GR_LIN_1 FOREIGN KEY (CONTACORRENTEPTOVTA_ID) REFERENCES CONTA_CORRENTE_PTOVTA (CONTACORRENTEPTOVTA_ID),
		  CONSTRAINT FK_CONTA_CORR_PTOVTA_GR_LIN_2 FOREIGN KEY (GRUPORUTA_ID) REFERENCES GRUPO_RUTA (GRUPORUTA_ID));
  EXCEPTION
  WHEN OTHERS THEN NULL;
  WHEN unique_violation THEN NULL;
END
$$;
/
DO $$
BEGIN
  CREATE SEQUENCE CONTA_CORR_PTOVTA_GR_LIN_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
  EXCEPTION
  WHEN OTHERS THEN NULL;
  WHEN unique_violation THEN NULL;
END
$$;
/