DO $$
BEGIN
  	CREATE TABLE EMPRESA_EMAIL_FLEXBUS
	(
	  EMPRESAEMAILFLEXBUS_ID NUMBER(7, 0) NOT NULL 
	, EMPRESA_ID NUMBER(7, 0) 
	, SMTP VARCHAR2(100 BYTE) 
	, SENHA VARCHAR2(50 BYTE) 
	, SMTPPORTA VARCHAR2(20 BYTE) 
	, SMTPEMAIL VARCHAR2(50 BYTE) 
	, ACTIVO NUMBER(1,0) 
	, FECMODIF DATE
	, USUARIO_ID NUMBER(7,0)
	, TEXTOEMAIL CLOB 
	, ASSUNTO VARCHAR2(200 BYTE) 
	, EMAILDE VARCHAR2(50 BYTE)
	, EMAILCOPIAOCULTA VARCHAR2(200)
	, INDAUTENTICACAO NUMBER(1,0)
	, CONSTRAINT EMPRESA_EMAIL_FLEXBUS_PK PRIMARY KEY  ( EMPRESAEMAILFLEXBUS_ID ) ENABLE );
	EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;
/
DO $$
BEGIN
  	CREATE SEQUENCE EMP_EMAIL_FLEXBUS_SEQ;
END
$$;
/
DO $$
BEGIN
  	INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID,SISTEMA_ID,NOMBFUNCION,DESCRUTA,ACTIVO,FECMODIF,USUARIO_ID)
        values (FUNCION_SISTEMA_SEQ.NEXTVAL,'1','ADM > ESQUEMA OPERACIONAL > FLEXBUS',
        'COM.RJCONSULTORES.ADMINISTRACION.GUI.ESQUEMAOPERACIONAL.MENU.FLEXBUS',
        '1',to_date('12/02/21','DD/MM/RR'),'1');
END
$$;
