DO $$
BEGIN
 	CREATE TABLE NUMERO_DA_SORTE_CTRL
	(
	  NUMERODASORTECTRL_ID NUMBER(7, 0) NOT NULL 
	, NOME_PROMOCAO VARCHAR2(50 BYTE)
	, DATA_INICIO_VIGENCIA DATE
	, DATA_FINAL_VIGENCIA DATE	
	, ACTIVO NUMBER(1,0) 
	, FECMODIF DATE
	, USUARIO_ID NUMBER(7,0)
	, NUMERO_MAXIMO NUMBER(7, 0) 
	, CONSTRAINT NUMERODASORTECTRL_PK PRIMARY KEY  ( NUMERODASORTECTRL_ID ) ENABLE );
  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;
/

DO $$
BEGIN
 	CREATE SEQUENCE NUMERO_DA_SORTE_CTRL_SEQ;
  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;
/

DO $$
BEGIN
 	CREATE SEQUENCE NUMERO_DA_SORTE_1_SEQ NOCACHE;
  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;
/

DO $$
BEGIN
 	ALTER TABLE BOLETO ADD (NUMERO_DA_SORTE  NUMBER(7,0));
  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;
