declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE "SOLICITUD_EXPRESO" 
   (	"SOLICITUDEXPRESO_ID" NUMBER(15,0) NOT NULL PRIMARY KEY, 
	"CIUDADORIGEN_ID" NUMBER(7,0), 
	"CIUDADDESTINO_ID" NUMBER(7,0), 
	"CANTPASAJEROS" NUMBER(3,0), 
	"FECSOLICITUD" DATE, 
	"TIPOIDENTIFICACION_ID" NUMBER(2,0), 
	"NUMIDENTIFICACION" VARCHAR2(60 BYTE), 
	"DESCNOMBRE" VARCHAR2(30 BYTE), 
	"DESCAPELLIDOS" VARCHAR2(60 BYTE), 
	"DESCDIRECCION" VARCHAR2(100 BYTE), 
	"DESCTELEFONO" VARCHAR2(12 BYTE), 
	"DESCEMAIL" VARCHAR2(60 BYTE), 
	"INDVIAJEREDONDO" NUMBER(1,0), 
	"FECHORIDA" DATE, 
	"DESCOBSERVACIONIDA" VARCHAR2(100 BYTE), 
	"DESCSITIOPARTIDAIDA" VARCHAR2(100 BYTE), 
	"DESCSITIOLLEGADAIDA" VARCHAR2(100 BYTE), 
	"FECHORREGRESO" DATE, 
	"DESCOBSERVACIONREGRESO" VARCHAR2(100 BYTE), 
	"DESCSITIOPARTIDAREGRESO" VARCHAR2(100 BYTE), 
	"DESCSITIOLLEGADAREGRESO" VARCHAR2(100 BYTE), 
	"INDREQUIEREDISPVEHICULO" NUMBER(1,0), 
	"INDREQUIERERECORRIDOSINTERNOS" NUMBER(1,0), 
	"STATUSSOLICITUDEXPRESO_ID" NUMBER(2,0), 
	"DOCCOTIZACION" BLOB, 
	"VALORCOTIZACION" NUMBER(15,2),
	"ACTIVO" NUMBER(1,0), 
	"FECMODIF" DATE, 
	"USUARIO_ID" NUMBER(7,0), 
	"DOCCONTRATO" BLOB,
	"FORMAPAGO_ID" NUMBER (7),
	"USUARIOAUTORIZACREDITO" NUMBER (7),
	"FECHORAUTORIZACREDITO" DATE,
	"DOCLISTAPASAJEROS" BLOB,
	"DOCCUMPLIMIENTOSERVICIO" BLOB
   )';
   exception when object_exists then null;
end;