declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate '
CREATE TABLE EMPRESA_CONFIG_LAYOUT (
    EMPRESACONFIGLAYOUT_ID   NUMBER(7, 0) PRIMARY KEY,
    EMPRESA_ID               NUMBER(7, 0),
    IMPRESIONLAYOUTCONFIG_ID NUMBER(7, 0),
    TIPOVENTA_ID             NUMBER(2, 0),
    INDEMAIL                 NUMBER(1, 0),
    ACTIVO                   NUMBER(1, 0),
    FECMODIF                 DATE,
    USUARIO_ID               NUMBER(7, 0),
    CONSTRAINT FK_EMP_CONF_LAYOUT FOREIGN KEY ( EMPRESA_ID )
        REFERENCES EMPRESA ( EMPRESA_ID )
)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "EMPRESA_CONFIG_LAYOUT_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/