DO $$
BEGIN
  INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (FUNCION_SISTEMA_SEQ.nextVal, 1, 'ADM > CATALOGO > PUNTO VENTA > PERMITE INSERIR MOTIVO DA INSERCAO/EXCLUSAO DA FORMA DE PAGAMENTO', 
	'COM.RJCONSULTORES.ADMINISTRACION.PUNTOVENTA.PERMITEINSERIMOTIVOFORMAPAGO', 1, SYSDATE, 1);
END
$$;
/
DO $$
BEGIN
 CREATE SEQUENCE "HIST_FORMAPAGOPUNTOVENTA_SEQ"  MINVALUE 1 MAXVALUE 999999999999999999 INCREMENT BY 1 START WITH 121 CACHE 20 NOORDER  NOCYCLE  NOKEEP  NOSCALE  GLOBAL;
END
$$;
/
DO $$
BEGIN
CREATE TABLE HIST_FORMAPAGO_PUNTOVENTA(
       HIST_FORMAPAGO_PUNTOVENTA_ID NUMBER(15,0) NOT NULL ENABLE,
		PUNTOVENTA_ID NUMBER(7,0),
		FORMAPAGO_ID NUMBER(7,0),
       IND_INCLUSAO NUMBER (1,0),
       MOTIVO VARCHAR2(100), 
       FEC_ALTERACAO DATE,     
       ACTIVO NUMBER(1,0), 
       FECMODIF DATE, 
       USUARIO_ID NUMBER(7,0),
       EMPRESA_ID NUMBER(7,0),
        CONSTRAINT PK_HIST_FORMAPAGO_PUNTOVENTA PRIMARY KEY (HIST_FORMAPAGO_PUNTOVENTA_ID),
        CONSTRAINT FK_HIST_FORMAPAGO_PUNTOVENTA FOREIGN KEY(PUNTOVENTA_ID) REFERENCES PUNTO_VENTA(PUNTOVENTA_ID)
    );
END
$$;