declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
	execute immediate 'ALTER TABLE BOLETO ADD (ESTADOCIVIL_ID NUMBER(2))';
    exception when column_exists then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
begin
	execute immediate 'ALTER TABLE BOLETO ADD CONSTRAINT BOLETO_ESTADOCIVIL_FK FOREIGN KEY (ESTADOCIVIL_ID) 
						REFERENCES ESTADO_CIVIL (ESTADOCIVIL_ID) ENABLE';

  exception 
    when object_exists  then null;
    when except_02275  then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
	execute immediate 'ALTER TABLE CAJA ADD (ESTADOCIVIL_ID NUMBER(2))';
    exception when column_exists then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
begin
	execute immediate 'ALTER TABLE CAJA ADD CONSTRAINT CAJA_ESTADOCIVIL_FK FOREIGN KEY (ESTADOCIVIL_ID) 
						REFERENCES ESTADO_CIVIL (ESTADOCIVIL_ID) ENABLE';

  exception 
    when object_exists  then null;
    when except_02275  then null;
end;
