declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE CTRL_SERIE_EMBARCADA (
		CTRLSERIEEMBARCADA_ID NUMBER(8),
		DISPOSITIVOEMBARCADA_ID NUMBER(8),
		EMPRESA_ID NUMBER(7),
		ESTADO_ID NUMBER(7),
		SERIE VARCHAR(3),
		NUMEROINICIAL VARCHAR(9),
		NUMEROCORRENTE VARCHAR(9),
		IND_BAIXADO NUMBER(1) DEFAULT 0,
		FECMODIF DATE,
		ACTIVO NUMBER(1),
		USUARIO_ID NUMBER(7),
		PRIMARY KEY (CTRLSERIEEMBARCADA_ID)
	)';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE CTRL_SERIE_EMBARCADA_SEQ INCREMENT BY 1 START WITH 1';	
  exception when object_exists then null;
end;
