declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE ANTECEDENCIA_CORRIDA_WEB 
(
  ANTECEDENCIACORRIDAWEB_ID NUMBER(7) NOT NULL 
, CORRIDA_ID NUMBER(7) NOT NULL 
, ANTECEDENCIA_MIN NUMBER(5) 
, ACTIVO NUMBER(1) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7) 
, CONSTRAINT ANTECEDENCIA_CORRIDA_WEB_PK PRIMARY KEY 
  (
    ANTECEDENCIACORRIDAWEB_ID 
  )
  ENABLE 
)';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE UNIQUE INDEX PK_CORRIDA_ID ON ANTECEDENCIA_CORRIDA_WEB (CORRIDA_ID ASC)';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  ANTECEDENCIA_CORRIDA_WEB_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/
