declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  CREDIBANCO_SERVICE_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER CYCLE';	
  exception when object_exists then null;
end;
/
declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMPRESA_CREDIBANCO_CONFIG (
		  EMPRESACREDIBANCOCONFIG_ID NUMBER(7) NOT NULL,
          EMPRESA_ID NUMBER(7,0), 
		  CHAVE  VARCHAR2(100) NULL, 
		  VALOR VARCHAR2(150) NULL,
		  ACTIVO NUMBER(1),
          FECMODIF DATE,
          USUARIO_ID NUMBER(7),
		  PRIMARY KEY ( EMPRESACREDIBANCOCONFIG_ID )
    )';
	
  exception when table_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "EMPRESA_CREDIBANCO_CONFIG_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE INDEX IDX_CREDIBANCO_CHAVE ON EMPRESA_CREDIBANCO_CONFIG (EMPRESA_ID, CHAVE)';
     exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  ASISTVIAJE_SERVICE_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER CYCLE';	
  exception when object_exists then null;
end;
/
declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMPRESA_ASISTVIAJE_CONFIG (
		  EMPRESAASISTVIAJECONFIG_ID NUMBER(7) NOT NULL,
          EMPRESA_ID NUMBER(7,0), 
		  CHAVE  VARCHAR2(100) NULL, 
		  VALOR VARCHAR2(150) NULL,
		  ACTIVO NUMBER(1),
          FECMODIF DATE,
          USUARIO_ID NUMBER(7),
		  PRIMARY KEY ( EMPRESAASISTVIAJECONFIG_ID )
    )';
	
  exception when table_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "EMPRESA_ASISTVIAJE_CONFIG_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE INDEX IDX_ASISTVIAJE_CHAVE ON EMPRESA_ASISTVIAJE_CONFIG (EMPRESA_ID, CHAVE)';
     exception when object_exists then null;
end;
/