DO $$
BEGIN
	CREATE TABLE PRICING_CTRL (
	       PRICINGCTRL_ID       NUMBER(7) NOT NULL,
	       ACTIVO               NUMBER(1) NULL,
	       FECMODIF             DATE NULL,
	       USUARIO_ID           NUMBER(7) NULL,
	       PRIMARY KEY (PRICINGCTRL_ID)
	);
	
	CREATE SEQUENCE PRICING_CTRL_SEQ MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1;
	
	insert into funcion_sistema (funcionsistema_id,sistema_id,nombfuncion,descruta,activo,fecmodif,usuario_id)
	values (nextval('funcion_sistema_seq'),1,'ADM > PRICING > CONFIGURACAO','COM.RJCONSULTORES.ADMINISTRACION.GUI.PRICING.MENU.CONFIGURACAO',1,now(),1);

  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;  
  	WHEN unique_violation THEN NULL;
END
$$;