DO $$
BEGIN
	CREATE TABLE AJUSTE_CAJA_LOG (
       AJUSTECAJALOG_ID     NUMBER(15) NOT NULL,
	   CAJA_ID				NUMBER(15) NULL,
	   IND_CAJA             NUMBER(1) NULL,
	   IND_CAJA_FP          NUMBER(1) NULL,
       USUARIO_ID           NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       PRIMARY KEY (AJUSTECAJALOG_ID));
  EXCEPTION WHEN duplicate_object THEN NULL;
END
$$;
/

DO $$
BEGIN
 	CREATE SEQUENCE AJUSTE_CAJA_LOG_SEQ MINVALUE 1 MAXVALUE 999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
  EXCEPTION WHEN duplicate_object THEN NULL;
END
$$;
/

DO $$
BEGIN
 	CREATE INDEX IDX_CAJA_AJ_LOG ON AJUSTE_CAJA_LOG (CAJA_ID);
  EXCEPTION WHEN duplicate_object THEN NULL;
END
$$;
/

DO $$
BEGIN
  INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, VALORCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
  VALUES (CONSTANTE_SEQ.nextval, 'PERMITE_AJUSTE_CAIXA_ANTES_FECHAMENTO', 'PERMITE AJUSTE DO CAIXA ANTES DO FECHAMENTO', 'FALSE', '1', '1', '1', now(), '1');

  EXCEPTION
  WHEN OTHERS THEN NULL;
  WHEN unique_violation THEN NULL;
END
$$;