DO $$
BEGIN
  CREATE SEQUENCE  "REDONDEO_ORGAOCONCEDENTE_SEQ"  MINVALUE 1 MAXVALUE 999999999999999999 INCREMENT BY 1 START WITH 121 CACHE 20 NOORDER  NOCYCLE  NOKEEP  NOSCALE  GLOBAL;
END
$$;
/
DO $$
BEGIN
  CREATE TABLE REDONDEO_ORGAOCONCEDENTE  (	
		REDONDEOORGAOCONCEDENTE_ID NUMBER(7,0), 
		REDONDEOCTRL_ID NUMBER(7,0), 
		ACTIVO NUMBER(1,0), 
		FECMODIF DATE, 	
		USUARIO_ID NUMBER(7,0),
		ORGAOCONCEDENTE_ID NUMBER(7,0), 
		 CONSTRAINT PK__REDONDEO_ORGAO PRIMARY KEY (REDONDEOORGAOCONCEDENTE_ID),
		 FOREIGN KEY (REDONDEOCTRL_ID) REFERENCES REDONDEO_CTRL (REDONDEOCTRL_ID) ENABLE, 
		 FOREIGN KEY (ORGAOCONCEDENTE_ID) REFERENCES ORGAO_CONCEDENTE (ORGAOCONCEDENTE_ID) ENABLE
	   );
END
$$;